Skills

Get skill automation

GET
/spaces/{space_id}/skills/{skill_id}/automation

Get the schedule (recurring or one-off), platform-event trigger, inbound webhook (URL, subscription state, captured sample), stored run request, entry per trigger and firing status of a Skill in a Space.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

space_id*string

Resource identifier: space_id.

Formatuuid
skill_id*string

Resource identifier: skill_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/spaces/123e4567-e89b-42d3-a456-426614174000/skills/123e4567-e89b-42d3-a456-426614174000/automation"
{  "schedule": null,  "event": null,  "webhook": null,  "run": null,  "status": {    "schedule": null,    "event": null,    "webhook": null  }}